package com.tutego.insel.game.vj;

class Playground
{
  public static void main( String[] args )
  {
    Door door = new Door();
    door.name = "Tür";

    Key  key = new Key();
    key.name = "Schlüssel";

    Maze maze = new Maze();
    maze.gameObjects.add( key );
    maze.gameObjects.add( door );
    System.out.println( maze.getGameObjectNames() );

    System.out.println( maze.use( "Schlüssel öffnet Tür" ) );

    System.out.println( maze.use( "Schlüssel liste" ) );

    System.out.printf( maze.use( "Schlüssel schließt Tür" ) );
  }
}